Subject: IPP> LPD Extensions posted (from X/Open(TM) PSIS Appendix D)

From: Tom Hastings <[email-masked]>
Date: Tue, 3 Dec 1996 09:25:37 PST

File:  readme.txt

X/Open's Martin Kirk gave me permission to post the X/Open PSIS (to be
called XDPA) appendix D that contains how Sun, SCO, Xerox, IBM, HP, and Digital
have extended the BSD LPD print protocol in in-compatible ways.

He also calls attention to the fact that X/Open and the X device are 
trademarks of X/Open Company Limited and that UNIX is a registered 
trade mark in the United States and other countries, licensed exclusively
through X/Open Company Limited.  See attached mail, so we need to
indicate such trademarks in our presentations and specifications.

Thanks Martin...

This appendix should be ample evidence to the IETF community of the need 
for the IPP standard and for the IPP standard and the working group to:

   "define extensibility paths to maximize interoperability and minimize 
    conflict." - from our charter.

Otherwise, IPP will repeat the problems of LPD as vendors extend IPP.
See RFC 1179 for the base LPD protocol before extensions.

I have created a new sub-directory in the historic sub-directory:

  ftp://ftp.pwg.org/pub/pwg/ipp/historic/xopen-psis-xdpa/

which contains the LPD extension appendix D:

-rw-r--r--   1 pwg  pwg 280365 Dec  3 17:00 appendix-d-lpd-extensions.ps
-rw-r--r--   1 pwg  pwg  14848 Dec  3 17:23 readme.txt (this mail message)

(NOTE: The X/Open Systems Administration committee is in the process of 
renaming PSIS (Print System Interoperability Specification to XDPA, so I have
maintained both names in the file name to avoid confusion)

Tom

>Return-Path: <[email-masked]>
>X-Sender: [email-masked]
>Date: Fri, 29 Nov 1996 03:19:54 PST
>To: Tom Hastings <[email-masked]>
>From: Martin Kirk <[email-masked]>
>Subject: Re: (m.kirk 26921) Can I distribute the X/Open PSIS/XDPA
>  Appendix on LPD  Extensions?
>
>At 12:32 20/11/96 PST, Tom Hastings wrote:
>>Martin,
>>
>>I've had a long standing action item from the IETF Printer Working Group
>(PWG)
>>to distribute the entire PSIS standard in its current form to the PWG.
>>
>>While I still like to get your permission to distribute the entire PSIS/XDPA
>>document, one particularly important part of the document is the Appendix 
>>that show how the vendors (DEC, HP, IBM, SCO, Xerox) have extended LPD in 
>>incompatible ways.
>>
>>Can I distribute that PSIS/XDPA appendix to the PWG for its Internet
>Printing 
>>Protocol (IPP) standards project?
>>
>>Thanks,
>>Tom
>
>You can certainly distribute the Appendix.
>
>Please take a careful look at my next message.
>
>Martin
>
>
>-------------------------------------------------------------------
>The Open Group                             Martin Kirk
>Apex Plaza, Forbury Road               Development Manager
>Reading, UK, RG1 1AX
>Tel:   +44 118 950 8311 x2258
>Fax:   +44 118 950 0110           Distributed Systems Management
>EMail: [email-masked]
>Home:  +44 1635 42888
>
>X/Open and the X device are trademarks of X/Open Company Limited.
>
>UNIX is a registered trade mark in the United States and other 
>countries, licensed exclusively through X/Open Company Limited.
>-------------------------------------------------------------------
>
>